JobSubmitParameters (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest

## Class JobSubmitParameters

- java.lang.Object
- - com.ibm.streamsx.rest.JobSubmitParameters

-     public class JobSubmitParameters
      extends java.lang.Object

  Holds Submisson Paramters for a Job

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobSubmitParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComposite()`
    `java.lang.String` | `getDefaultValue()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getParameterKind()`
    `java.lang.String` | `getValue()`
    `java.util.ArrayList<java.lang.String>` | `getValues()`
    `boolean` | `isRequired()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobSubmitParameters

          public JobSubmitParameters()

  - ### Method Detail

    - #### getComposite

          public java.lang.String getComposite()

      Returns:
        the composite

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Returns:
        the defaultValue

    - #### getName

          public java.lang.String getName()

      Returns:
        the name

    - #### getParameterKind

          public java.lang.String getParameterKind()

      Returns:
        the parameterKind from the following list:
        - named
        - namedList
        - unknown

    - #### isRequired

          public boolean isRequired()

      Returns:
        the required

    - #### getValue

          public java.lang.String getValue()

      Returns:
        the value, if parameterKind is a namedList, this will be a comma separated list

    - #### getValues

          public java.util.ArrayList<java.lang.String> getValues()

      Returns:
        the values for the submission parameter. If parameterKind is named, this is a single entry list